# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "mgx"
version = "0.1.13"
authors = ["lichifeng <lichifeng@qq.com>"]
build = false
exclude = [
    "tests/*",
    ".vscode/*",
    "utils/*",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A parser for Age of Empires II recorded games."
homepage = "https://aocrec.com"
documentation = "https://docs.rs/mgx"
readme = "README.md"
keywords = [
    "age-of-empires",
    "aoc",
    "game-replay",
]
categories = [
    "games",
    "parsing",
]
license = "MIT"
repository = "https://github.com/lichifeng/mgx-rs.git"

[lib]
name = "mgx"
path = "src/lib.rs"
doctest = false

[[bin]]
name = "mgx"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.boyer-moore-magiclen]
version = "0.2"

[dependencies.chksum-hash-md5]
version = "0.0.1"

[dependencies.clap]
version = "4.5"
features = ["derive"]

[dependencies.encoding_rs]
version = "0.8.35"

[dependencies.flate2]
version = "1.1"

[dependencies.image]
version = "0.25"

[dependencies.imageproc]
version = "0.25.0"

[dependencies.phf]
version = "0.13"
features = ["macros"]

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"
